#include "entity.hpp"
#include "../world.hpp"

namespace game {
namespace entity {

Entity::Entity(World *world) noexcept: world(world), body(nullptr) {};

Entity::~Entity() noexcept
{
    if (this->body) {
        this->world->DeleteBody(this->body);
    }
}

}
}
